Subject: Re: [Gendispatch] I-D Action: draft-halpern-gendispatch-antitrust-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Sat, 4 Sep 2021 10:07:08 +1200

Thankyou for this draft. Assuming the question will be put, I strongly support dispatching it ASAP as an individual submission sponsored by the General AD.

I have one suggestion. The Recommendations very correctly list 'product pricing' as a forbidden topic. That should probably be 'product and service pricing'. However, a topic of technical importance in service provision is *metrics* used for measuring services. I think the draft could usefully discuss the dividing line between technical specifications of metrics (OK), mechanisms for communicating metrics (OK), mechanisms for communicating pricing of metrics (presumably OK), worked examples with example monetary values (presumably OK) and actual monetary values (not OK).

FYA: https://datatracker.ietf.org/doc/html/draft-carpenter-metrics-00

Regards
   Brian Carpenter

On 31-Aug-21 13:42, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Antitrust Guidelines for IETF Particiants
>         Authors         : Joel M. Halpern
>                           Brad Biddle
>                           Jay Daley
> 	Filename        : draft-halpern-gendispatch-antitrust-00.txt
> 	Pages           : 6
> 	Date            : 2021-08-30
> 
> Abstract:
>    This document provides guidance for IETF participants on compliance
>    with antitrust laws and how to reduce antitrust risks in connection
>    with IETF activities.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-halpern-gendispatch-antitrust/
> 
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-halpern-gendispatch-antitrust-00.html
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 3 Sep 2021 23:23:44 +0100

Hmm. I think "should not discuss" and that list are too high
or the wrong barrier. I reckon it'd take some discussion to
get that right. I don't object to trying to get it right, but
would object to the current text.

As an example, it seems to me entirely fine to (carefully:-) discuss the 
fact that a thing(*) is unencumbered as far as
we know and how that affects implementations that might use
that thing, especially those taking an open source approach.

Cheers,
S.

(*) s/thing/codec/ or s/thing/encryption alg/ both work with
differences.

---

From: Rob Sayre <[email-masked]>
Date: Fri, 3 Sep 2021 16:04:45 -0700

Hi,

I think I understand the motivation here, but I'm not sure the text is
right.

  " As the IETF is a standards development environment where
   representatives from competitors are highly likely to be present,
   participants should not discuss the following topics:

   *  product pricing
   *  profit margins
   *  business relationships between specific vendors and customers
   *  details of particular supply chains
   *  specific market opportunities
   *  employee compensation or benefits

   While not all discussions of these topics would necessarily be
   antitrust violations, prudence suggests that avoiding these topics
   altogether best mitigates antitrust risks."

So, clearly, using an IETF list to agree on pricing is not appropriate (and
not very intelligent, imo).

But, is it wrong to point out "business relationships between specific
vendors and customers" in evaluating an I-D? I am not sure that is the
case, and this draft seems to preclude such discussion. How else would one
raise venue-shopping or rubber-stamping?

thanks,
Rob

On Fri, Sep 3, 2021 at 3:24 PM Stephen Farrell <[email-masked]>
wrote:

> > Thankyou for this draft. Assuming the question will be put, I strongly
> support dispatching it ASAP as an individual submission sponsored by the
> General AD.
> >
> > I have one suggestion. The Recommendations very correctly list 'product
> pricing' as a forbidden topic. That should probably be 'product and service
> pricing'. However, a topic of technical importance in service provision is
> *metrics* used for measuring services. I think the draft could usefully
> discuss the dividing line between technical specifications of metrics (OK),
> mechanisms for communicating metrics (OK), mechanisms for communicating
> pricing of metrics (presumably OK), worked examples with example monetary
> values (presumably OK) and actual monetary values (not OK).
> >
> --
> Gendispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gendispatch
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 4 Sep 2021 11:16:18 +1200

> that thing, especially those taking an open source approach.

Sorry, which of the bullets in section 5 says we should not discuss that? We have specific non-BCP guidance about that sort of discussion in RFC3699.

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 4 Sep 2021 11:29:12 +1200

On 04-Sep-21 11:04, Rob Sayre wrote:
> Hi,
> 
> I think I understand the motivation here, but I'm not sure the text is right.
> 
> So, clearly, using an IETF list to agree on pricing is not appropriate (and not very intelligent, imo).
> 
> But, is it wrong to point out "business relationships between specific vendors and customers" in evaluating an I-D? I am not sure that is the case, and this draft seems to preclude such discussion. How else would one raise venue-shopping or rubber-stamping?

By stating that a draft is describing a proprietary technology and isn't suitable for IETF discussion unless the proprietor gives change control to the IETF. That's happened many times. I don't see anything in the draft 
that forbids this. It just says: the underlying business arrangements should not be discussed in the IETF. To me, that's nothing new.

   Brian

> 
> thanks,
> Rob
> 
> On Fri, Sep 3, 2021 at 3:24 PM Stephen Farrell <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>     > FYA: https://datatracker.ietf.org/doc/html/draft-carpenter-metrics-00 <https://datatracker.ietf.org/doc/html/draft-carpenter-metrics-00>
>     >
>     > Regards
>     >     Brian Carpenter
>     >
>     > On 31-Aug-21 13:42, [email-masked] <mailto:[email-masked]> wrote:
>     >>
>     >>          Title        
   : Antitrust Guidelines for IETF Particiants
>     >>      Date            
: 2021-08-30
>     >> https://datatracker.ietf.org/doc/draft-halpern-gendispatch-antitrust/ <https://datatracker.ietf.org/doc/draft-halpern-gendispatch-antitrust/>
>     >>
>     >> https://www.ietf.org/archive/id/draft-halpern-gendispatch-antitrust-00.html <https://www.ietf.org/archive/id/draft-halpern-gendispatch-antitrust-00.html>
>     >>
>     >>
>     >> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
>     >>
>     >>
>     >> [email-masked] <mailto:[email-masked]>
>     >> https://www.ietf.org/mailman/listinfo/i-d-announce <https://www.ietf.org/mailman/listinfo/i-d-announce>
>     >> Internet-Draft directories: http://www.ietf.org/shadow.html <http://www.ietf.org/shadow.html>
>     >> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt <ftp://ftp.ietf.org/ietf/1shadow-sites.txt>
>     >>
>     >
>     -- 
>     Gendispatch mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/gendispatch <https://www.ietf.org/mailman/listinfo/gendispatch>
>

---

From: Rob Sayre <[email-masked]>
Date: Fri, 3 Sep 2021 16:36:47 -0700

On Fri, Sep 3, 2021 at 4:29 PM Brian E Carpenter <
[email-masked]> wrote:

>
> By stating that a draft is describing a proprietary technology and isn't
> suitable for IETF discussion unless the proprietor gives change control to
> the IETF. That's happened many times.

I think this description is too reductive. It could be "open source" and
"royalty free", but still be in the interests of just a few entities. The
"end run" provisions in other RFCs are also a concern here.

> I don't see anything in the draft
> that forbids this. It just says: the underlying business arrangements
> should not be discussed in the IETF. To me, that's nothing new.
>

If it's "nothing new", I am not sure why it needs to be in the draft.

thanks,
Rob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 3 Sep 2021 20:09:29 -0400

We wrote this as guidelines, not rules, because there are always some 
edge cases.

But that list (which you quote below) is I think the list almost every 
lawyer I have talked to about this gave me to start with.  If you are 
talking about any of those things, you need to be VERY careful.  Which 
is also why we suggest talking to your own lawyer if you are going to 
venture into those spaces.

Yours,
Joel

PS: I appreciate folks are starting to look at this draft.  All comments 
more than welcome.  If this is going to advance, it needs community 
discussion and I hope eventually community support.

On 9/3/2021 7:04 PM, Rob Sayre wrote:
> case, and this draft seems to preclude such discussion. How else would 
> one raise venue-shopping or rubber-stamping?
> 
> thanks,
> Rob
> 
> On Fri, Sep 3, 2021 at 3:24 PM Stephen Farrell 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>      > Thankyou for this draft. Assuming the question will be put, I
>     strongly support dispatching it ASAP as an individual submission
>     sponsored by the General AD.
>      >
>      > I have one suggestion. The Recommendations very correctly list
>     'product pricing' as a forbidden topic. That should probably be
>     'product and service pricing'. However, a topic of technical
>     importance in service provision is *metrics* used for measuring
>     services. I think the draft could usefully discuss the dividing line
>     between technical specifications of metrics (OK), mechanisms for
>     communicating metrics (OK), mechanisms for communicating pricing of
>     metrics (presumably OK), worked examples with example monetary
>      > FYA:
>     https://datatracker.ietf.org/doc/html/draft-carpenter-metrics-00
>     <https://datatracker.ietf.org/doc/html/draft-carpenter-metrics-00>
>      >
>      > Regards
>      >     Brian Carpenter
>      >
>     <https://www.ietf.org/archive/id/draft-halpern-gendispatch-antitrust-00.html>
>      >>
>      >>
>     <ftp://ftp.ietf.org/internet-drafts/>
>      >>
>      >>
>     <https://www.ietf.org/mailman/listinfo/i-d-announce>
>     <http://www.ietf.org/shadow.html>
>     <ftp://ftp.ietf.org/ietf/1shadow-sites.txt>
>      >>
>      >
>     -- 
>     Gendispatch mailing list
>     <https://www.ietf.org/mailman/listinfo/gendispatch>
> 
>

---

From: Christian Huitema <[email-masked]>
Date: Fri, 3 Sep 2021 17:12:12 -0700

One of the biggest attacks against the Internet is the generalized spying on Internet users. Preventing that spying is a fairly important topic when debating drafts and standards. Yet it is very hard to debate that without also discussing  surveillance as a business model. So let's be careful with the potential backlash of good intentions!

-- Christian Huitema 

> On Sep 3, 2021, at 4:36 PM, Rob Sayre <[email-masked]> wrote:
> 
> 
>> On Fri, Sep 3, 2021 at 4:29 PM Brian E Carpenter <[email-masked]> wrote:
> 
>> 
>> By stating that a draft is describing a proprietary technology and isn't suitable for IETF discussion unless the proprietor gives change control to the IETF. That's happened many times.
> 
> I think this description is too reductive. It could be "open source" and "royalty free", but still be in the interests of just a few entities. The "end run" provisions in other RFCs are also a concern here.
>

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 4 Sep 2021 01:56:06 +0100

Hiya,

On 04/09/2021 00:16, Brian E Carpenter wrote:
>> Hmm. I think "should not discuss" and that list are too high or the
>> wrong barrier. I reckon it'd take some discussion to get that
>> right. I don't object to trying to get it right, but would object
>> to the current text.
>> 
>> As an example, it seems to me entirely fine to (carefully:-)
>> discuss the fact that a thing(*) is unencumbered as far as we know
>> and how that affects implementations that might use that thing,
>> especially those taking an open source approach.
> 
> Sorry, which of the bullets in section 5 says we should not discuss
> that? 

Perhaps it depends on how one interprets the text. I'd not
want discussion as in the example above to be cutoff by
someone claiming that "no cost" is a price (1st bullet), nor
that one can't consider popular open source library features
(or the lack thereof) because that's a "supply chain" issue
(bullet 4). Again though - I'm not against the draft but
do think the text needs non-trivial discussion before hitting
a last call, which'd affect my answer to a "dispatch"
question: basically I'd not be ok with pushing this ASAP as
an AD sponsored document, which I think was your reaction.
I'd maybe be fine with AD sponsored after some community discussion, but 
not with the text as-is.

Cheers,
S.

> We have specific non-BCP guidance about that sort of discussion
> in RFC3699.
> 
> Brian
> 
>> 
>> Cheers, S.
>> 
>>> services. I think the draft could usefully discuss the dividing
>>> line between technical specifications of metrics (OK), mechanisms
>>> for communicating metrics (OK), mechanisms for communicating
>>> pricing of metrics (presumably OK), worked examples with example
>>> monetary values (presumably OK) and actual monetary values (not
>>> OK).
>>> 
>>> FYA:
>>> Regards Brian Carpenter
>>>> Authors         : Joel M. Halpern Brad Biddle Jay Daley 
>>>> Pages           : 6 Date            : 2021-08-30
>>>> 
>>>> Abstract: This document provides guidance for IETF participants
>>>> on compliance with antitrust laws and how to reduce antitrust
>>>> risks in connection with IETF activities.
>>>> 
>>>> 
Internet-Drafts are also available by anonymous FTP at:
>>>> _______________________________________________ I-D-Announce
>>>> mailing list [email-masked] 
>>>> Internet-Draft directories: http://www.ietf.org/shadow.html or
>>>> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>>> 
>>>

---

From: Rob Sayre <[email-masked]>
Date: Fri, 3 Sep 2021 18:04:31 -0700

On Fri, Sep 3, 2021 at 5:09 PM Joel M. Halpern <[email-masked]> wrote:

> lawyer I have talked to about this gave me to start with.

Are you saying lawyers told you such a "guideline" in an IETF BCP would be
legally helpful to IETF participants? If so, maybe the lawyers should write
the draft.

In the past, as you write below, I think the advice has recommended
"talking to your own lawyer".

>   If you are

This kind of thing has been discussed many times before. Here's an old one:
https://mailarchive.ietf.org/arch/msg/antitrust-policy/GLvb1NlwrixB9CupSncPBmVa4ho/

What has changed, and why should this be a BCP? Just trying to understand
why this change is happening now.

thanks,
Rob

---

From: Mark Nottingham <[email-masked]>
Date: Sat, 4 Sep 2021 11:18:21 +1000

Hi Christian et al,

> On 4 Sep 2021, at 10:12 am, Christian Huitema <[email-masked]> wrote:
> 

The language used is 'business relationships between specific vendors and customers', noting the use of 'specific'. That does not preclude talking about general market dynamics such as surveillance capitalism.

If you want to use the relationship between a specific vendor and their customers or suppliers as an example of such a market dynamic, I can see how you'd be concerned about this language. I don't see a good way to carve that out without refusing right of reply to those actually involved in that relationship. 

I think the root of the issue here might be that 'should not discuss' is intended to give guidance about what's safe to do, but it can (and probably will) be used to squash some future discussions -- i.e., the text can be weaponised. 

A potential fix would be to separate out that line as well as 'details of particular supply chains' and 'specific market opportunities' into a separate section where 'should not discuss the following topics' is replaced with something like 'should be aware of the antitrust implications of discussing the following topics.'

Alternatively, we could try to qualify these statements to make it clear what words like 'specific' mean.

Similarly, this text caused me concern:

'IETF participants, particularly those in an IETF leadership position, should not engage in [...] behavior that may be considered abuse of a dominant position.'

My understanding[1] is that there is very little case law or regulatory guidance addressing how standards setting organisations should address abuse of dominance beyond the relatively well-understood minefield of patent law. However, it has become a very 'hot' area, thanks to things like the CMA's (and now Europe's) actions against Google regarding the Privacy Sandbox, and various complaints and proposals in the US.

Such a broad and pre-emptive statement on behalf of the IETF could take us to undesirable places; I can easily imagine this statement being weaponised along the lines of something like 'it's IETF policy that you don't behave in this fashion, some competition regulator has expressed concerns about this area, therefore you should stop it' -- even though a court hasn't yet ruled on the matter.

AFAIK it's also far from clear that as a standards development venue the IETF would be held responsible for someone behaving in such a way. All of the current case law and regulatory guidance is regarding cartel behaviour, not abuse of dominance, and I don't think we should pre-empt it.

I think the fix here is to either remove the statement, or change 'should not engage in the following' to 'should be aware of the antitrust implications of the following'.

Cheers,

1. With the proviso that I'm more familiar with European competition law than US anti-trust.

--
Mark Nottingham   https://www.mnot.net/

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 4 Sep 2021 14:20:31 +1200

Rob,

> If so, maybe the lawyers should write the draft.

Brad Biddle is a co-author.

Regards
   Brian

On 04-Sep-21 13:04, Rob Sayre wrote:
> On Fri, Sep 3, 2021 at 5:09 PM Joel M. Halpern <[email-masked] <mailto:[email-masked]>> wrote:
> 
> Are you saying lawyers told you such a "guideline" in an IETF BCP would 
be legally helpful to IETF participants? If so, maybe the lawyers should write the draft.
> 
> In the past, as you write below, I think the advice has recommended "talking to your own lawyer".
>  
> 
>       If you are
> https://mailarchive.ietf.org/arch/msg/antitrust-policy/GLvb1NlwrixB9CupSncPBmVa4ho/ <https://mailarchive.ietf.org/arch/msg/antitrust-policy/GLvb1NlwrixB9CupSncPBmVa4ho/>
> 
> What has changed, and why should this be a BCP? Just trying to understand why this change is happening now.
> 
> thanks,
> Rob
> 
>

---

From: Rob Sayre <[email-masked]>
Date: Fri, 3 Sep 2021 19:43:21 -0700

Yes, Brian,

To rephrase: are the lawyers saying such a "guideline" in an IETF BCP would
be legally helpful to IETF participants?

thanks,
Rob

On Fri, Sep 3, 2021 at 7:20 PM Brian E Carpenter <
[email-masked]> wrote:

> <
> > What has changed, and why should this be a BCP? Just trying to
> understand why this change is happening now.
> >
> > thanks,
> > Rob
> >
> >
>
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 3 Sep 2021 23:17:13 -0400

I am trying to put together a ntoe about how the authors would liek to 
progress this.   That does require a little cooridination, so consider 
this a general response to your concern about discussion, which will get 
refined.

What I would like to see is
1) Discussion of dispatching in gendispatch
2) determination in gendispatch of where we think the discussion of the 
substance belongs.  That could be gendispatch, ietf@, or some other 
list.  I'll go wherever the community tells me.
3) Dispatch the draft to "AD sponsorship with discussion by the 
community".  Largely because writing a charter and chartering a working 
group for one document seems rather odd.
4) Have discussion of the content in the agreed venue.
5) With luck, agree on text, get rough consensus, publish as a BCP, and 
update the Note Well.

Please do not read too much into exact wording above.  While I am trying 
to be careful, it is late and I have not talked to my co-authors.  I am 
posting this now because responding the the issue Stephen raises seems 
important.

Yours,
Joel

On 9/3/2021 8:56 PM, Stephen Farrell wrote:
>>>>> https://www.ietf.org/mailman/listinfo/i-d-announce Internet-Draft 
>>>>> directories: http://www.ietf.org/shadow.html or

---

From: Rob Sayre <[email-masked]>
Date: Fri, 3 Sep 2021 20:37:39 -0700

> 1) Discussion of dispatching in gendispatch

I'd suggest nowhere, and abandoning the draft. These sentences appear
together, separated by a paragraph break:

"This document does not contain legal advice."

"All IETF participants must behave lawfully when engaged in IETF
activities, including by following applicable antitrust laws."

So, it's not legal advice to require that participants behave lawfully, by
following applicable laws?

thanks,
Rob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 4 Sep 2021 01:46:00 -0400

No, as I understand it, telling people to obey the law is not "legal 
advice".

Yours,
Joel

On 9/3/2021 11:37 PM, Rob Sayre wrote:
> On Fri, Sep 3, 2021 at 8:17 PM Joel M. Halpern <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> So, it's not legal advice to require that participants behave lawfully, 
> by following applicable laws?
> 
> thanks,
> Rob

---

From: Rob Sayre <[email-masked]>
Date: Fri, 3 Sep 2021 23:12:30 -0700

> No, as I understand it, telling people to obey the law is not "legal

Well, this could get tedious, but let's go with Wikipedia[1]:

"The provision of legal advice will often involve analyzing a set of facts
and advising a person to take a specific course of action based on the
applicable law."

While we could rathole on these points, I think the larger point is that
the draft says nothing important on legal issues. How could it? It's
supposed to apply to the entire world.

So, what is the problem this draft is trying to fix? Why now?

thanks,
Rob

[1] https://en.wikipedia.org/wiki/Legal_advice

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 4 Sep 2021 02:42:07 -0400

What a number of other SDOsd have found, and makes sense to me, is that 
explaining to folks some of the parameters they need to look for is very 
helpful for a number of issues. All the ones I have seen do this also 
make clear that it should not be considered legal advice, and that those 
in need of legal details should talk to a lawyer.

This is itnended as a set of guidelines that help people understand the 
dangerous space.  It can not, and does not, tell you exactly what you 
can or can't do.  That would be legal advice, and would be rules. 
Neither of which this document provides.

Our current policies do not even mention many of these dimensions.  It 
seems helpful to our participants to improve that.  Maybe you are so 
familiar with antitrust that it doesn't help you.

Yours,
Joel

On 9/4/2021 2:12 AM, Rob Sayre wrote:
> On Fri, Sep 3, 2021 at 10:46 PM Joel M. Halpern <[email-masked] 
> "The provision of legal advice will often involve analyzing a set of 
> facts and advising a person to take a specific course of action based on 
> the applicable law."
> 
> <https://en.wikipedia.org/wiki/Legal_advice>

---

From: Brian Carpenter <[email-masked]>
Date: Sat, 4 Sep 2021 22:18:25 +1200

Exactly. The draft looks like common sense if you are aware of what
antitrust (aka competition) law is. But not everybody is aware. For those
who are not, it's useful information. We should have done this years ago.

Regards,
    Brian Carpenter
    (via tiny screen & keyboard)

---

From: "Salz, Rich" <[email-masked]>
Date: Sat, 4 Sep 2021 13:20:57 +0000

*   Are you saying lawyers told you such a "guideline" in an IETF BCP would be legally helpful to IETF participants? If so, maybe the lawyers should write the draft.

He did.  Look up who Brad is.

---

From: Rob Sayre <[email-masked]>
Date: Sat, 4 Sep 2021 08:05:53 -0700

Well, it's certainly not a new topic. See:
https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/

"The IETF has periodically considered whether additional documentation
related to competition law compliance would be useful. In 2012, for
example, an Antitrust Policy BOF addressed this question. One conclusion
from these efforts was that some actions taken by other SSOs — such as the
development of a summary of competition law, or a precise set of bright
line ‘dos and don’ts,’ or a brief recital of certain antitrust principles
in advance of every meeting--are not a good fit for the IETF. Summaries
oversimplify, and grow outdated. Bright line dos/don’ts miss important
nuance. Mechanical recitals become ‘white noise.’..."

thanks,
Rob

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 5 Sep 2021 08:35:42 +1200

I don't recall that BOF, but in any case the conclusion stated below doesn't exclude what is now proposes: a BCP available to those who choose to read it.

Or maybe we should just wait until somebody gets sued and blames the IETF 
for not warning them.

Regards
   Brian

On 05-Sep-21 03:05, Rob Sayre wrote:
> https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/ <https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/>
> 
> "The IETF has periodically considered whether additional documentation related to competition law compliance would be useful. In 2012, for example, an Antitrust Policy BOF addressed this question. One conclusion from these efforts was that some actions taken by other SSOs — such as 
the development of a summary of competition law, or a precise set of bright line ‘dos and don’ts,’ or a brief recital of certain antitrust principles in advance of every meeting--are not a good fit for the IETF. Summaries oversimplify, and grow outdated. Bright line dos/don’ts miss important nuance. Mechanical recitals become ‘white noise.’..."
> 
> thanks,
> Rob
> 
> 
> On Sat, Sep 4, 2021 at 3:18 AM Brian Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     On Sat, 4 Sep 2021, 18:42 Joel M. Halpern, <[email-masked] <mailto:[email-masked]>> wrote:
> 
>         > On Fri, Sep 3, 2021 at 10:46 PM Joel M. Halpern <[email-masked] <mailto:[email-masked]>
>         > <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>         >
>         > [1] https://en.wikipedia.org/wiki/Legal_advice <https://en.wikipedia.org/wiki/Legal_advice>
>         > <https://en.wikipedia.org/wiki/Legal_advice <https://en.wikipedia.org/wiki/Legal_advice>>
> 
>         -- 
>         Gendispatch mailing list

---

From: Rob Sayre <[email-masked]>
Date: Sat, 4 Sep 2021 15:35:09 -0700

On Sat, Sep 4, 2021 at 1:35 PM Brian E Carpenter <
[email-masked]> wrote:

> I don't recall that BOF, but in any case the conclusion stated below
> doesn't exclude what is now proposes: a BCP available to those who choose
> to read it.
>

I don't remember that BoF either, but its outcome seems reasonable. That
said, the post is only about a year old (July 2020).
https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/

I thought the proposed BCP seemed destined for this page:
https://www.ietf.org/about/note-well/

In which case, the conclusion definitely does exclude it.

thanks,
Rob

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 5 Sep 2021 11:27:39 +1200

On 05-Sep-21 10:35, Rob Sayre wrote:
> On Sat, Sep 4, 2021 at 1:35 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
> I don't remember that BoF either, but its outcome seems reasonable. That said, the post is only about a year old (July 2020).
> https://www.ietf.org/about/note-well/ <https://www.ietf.org/about/note-well/>

Not necessarily. The lawyers can tell us, but it seems to me that the
warnings on the Note Well are there to protect the IETF itself, whereas
this document is more aimed at warning participants to protect themselves.
If so, it doesn't necessarily need to be a BCP. If indeed it's considered
necessary to protect the IETF itself, the whole discussion changes tone.

By the way, I recommend reading Jorge Contreras's slides cited in the LLC's
statement.

   Brian

---

From: Rob Sayre <[email-masked]>
Date: Sat, 4 Sep 2021 16:47:20 -0700

> this document is more aimed at warning participants to protect themselves.

Well, you just wrote "Or maybe we should just wait until somebody gets sued
and blames the IETF for not warning them."

That seemed to indicate you think the document is meant to protect the
IETF. Maybe I misunderstood.

> necessary to protect the IETF itself, the whole discussion changes tone.

Agree.

> By the way, I recommend reading Jorge Contreras's slides cited in the LLC's

I did, and it was not the first time. Several slides seem to be truncated
(maybe just some software incompatibility creeping in).

For example, Slide 4 ends with "Excluding technology/participants for" ...?

thanks,
Rob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sat, 4 Sep 2021 20:01:27 -0400

I do not recall that BoF.  I presume it occurred.  I even presume I was 
there.

However, after nine years it is not unreasonable to take another look. 
And when I looked, it seemed to me that getting something explicit in 
the Note Well would be good for IETF participants, the IETF as a whole, 
and even for the companies which send people to the IETF.

Yours,
Joel

On 9/4/2021 7:47 PM, Rob Sayre wrote:
> On Sat, Sep 4, 2021 at 4:27 PM Brian E Carpenter 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     <https://www.ietf.org/about/note-well/>
>     <https://www.ietf.org/about/note-well/
>     <https://www.ietf.org/about/note-well/>>
> 
> Well, you just wrote "Or maybe we should just wait until somebody gets 
> sued and blames the IETF for not warning them."
> 
> I did, and it was not the first time. Several slides seem to be 
> truncated (maybe just some software incompatibility creeping in).
>

---

From: Rob Sayre <[email-masked]>
Date: Sat, 4 Sep 2021 17:44:12 -0700

OK in the interest of moving forward productively, although I sincerely
doubt any IETF participant needs to read up:

> 5.  Recommended Behavior

Instead:
5. Topics That Concern Competition

> As the IETF is a standards development environment where

Instead:
As the IETF is a standards development environment where representatives
from competitors are highly likely to be present, participants should be
aware that the following topics may raise antitrust concerns.... [list]

> altogether best mitigates antitrust risks.

[delete]

thanks,
Rob

---

From: "John Levine" <[email-masked]>
Date: 4 Sep 2021 23:27:44 -0400

It appears that Joel M. Halpern  <[email-masked]> said:
>.... All the ones I have seen do this also 

Legal advice means advice for your specific situation from your
lawyer.  As the old joke goes, if this were legal advice you would know
because it would have a bill attached.

>Neither of which this document provides.

Right.  There are whole publishers like Nolo Press who provide guides
and explanations about the law.  A guide on how anti-trust relates
to the IETF is long overdue.

R's,
John

---

From: Rob Sayre <[email-masked]>
Date: Sat, 4 Sep 2021 21:50:25 -0700

Another suggestion from the list:
"As the old joke goes, if this were legal advice you would know because it
would have a bill attached."

It's a good point. So, by that rationale, it seems safe to strike "This
document does not contain legal advice".

thanks,
Rob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 5 Sep 2021 01:16:17 -0400

As far as I can tell Rob, you are asking to remove words that have 
value.  I do not understand any of your requests for removal.

Yours,
Joel

On 9/5/2021 12:50 AM, Rob Sayre wrote:
> "As the old joke goes, if this were legal advice you would know because 
> it would have a bill attached."
> 
> On Sat, Sep 4, 2021 at 5:44 PM Rob Sayre <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     OK in the interest of moving forward productively, although I
>     sincerely doubt any IETF participant needs to read up:
> 
>      > 5.  Recommended Behavior
> 
>     Instead:
>     participants should be aware that the following topics may raise
>     antitrust concerns.... [list]
> 
>     On Sat, Sep 4, 2021 at 5:01 PM Joel M. Halpern <[email-masked]
>          > <[email-masked]
>         <mailto:[email-masked]>
>         <mailto:[email-masked]
>         <mailto:[email-masked]>>> wrote:
>          >
>          >      > I thought the proposed BCP seemed destined for this page:
>          >      > https://www.ietf.org/about/note-well/
>         <https://www.ietf.org/about/note-well/>>>
>          >
>          >     this document is more aimed at warning participants to
>         protect
>          >     themselves.
>          >
>          >
>          >     If so, it doesn't necessarily need to be a BCP. If indeed
>         it's
>          >     considered
>          >     By the way, I recommend reading Jorge Contreras's slides
>         cited in
>          >     the LLC's
>          >     statement.
>          >
>          >

---

From: Rob Sayre <[email-masked]>
Date: Sat, 4 Sep 2021 22:28:23 -0700

> value.  I do not understand any of your requests for removal.

Joel,

It's not really a great argument to claim that text "has value" without
describing what that value is.

I removed one paragraph in the text I sent, because it was no longer needed
given the descriptive, rather than prescriptive, language I used. The other
things were rephrased.

IETF participants come to the organization with many different
antitrust/competitive concerns. As such, the prescriptive text in the
current draft could be viewed as anti-competitive in the way it recommends
against permitted topics, although I think this is unintentional. If the
goal is to make participants aware of these issues, my suggested
descriptive text is fine. If the goal is to protect the IETF, I think the
current text is actually worse than the status quo.

thanks,
Rob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 5 Sep 2021 13:51:46 -0400

The point of the exercise from my perspective is to give people 
community agreed advice on how to avoid antitrust issues.  This helps 
protect everyone.

Watering it down to "things to think about" seems distinctluy 
counter-productive.

Yours,
Joel

On 9/5/2021 1:28 AM, Rob Sayre wrote:
> On Sat, Sep 4, 2021 at 10:16 PM Joel M. Halpern <[email-masked] 
> I removed one paragraph in the text I sent, because it was no longer 
> needed given the descriptive, rather than prescriptive, language I used. 
> The other things were rephrased.
> 
> current draft could be viewed as anti-competitive in the way 
> it recommends against permitted topics, although I think this is 
> unintentional. If the goal is to make participants aware of these 
> issues, my suggested descriptive text is fine. If the goal is to protect 
> the IETF, I think the current text is actually worse than the status quo.
> 
> thanks,
> Rob
>

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 11:09:12 -0700

> community agreed advice on how to avoid antitrust issues.  This helps

Well, I guess the counterpoint is that section "5. Recommended Behavior"
suffers from all of the issues outlined in that 2020 IETF LLC statement.*
The IETF LLC had the same counsel at the time, btw.

- Summaries oversimplify, and grow outdated.
- Bright line dos/don’ts miss important nuance.
- Mechanical recitals become ‘white noise.’

By refraining from guiding behavior around a 6 point bulleted list, my
edits make it clear that such summaries do little to "protect" participants
or the IETF. I mean, it seems like I'm the only person that has ever read
the existing slides thoroughly enough to notice that they are buggy.

There are plenty of other sections in the draft that seem fine, and I have
no objection to the draft appearing linked from the "Note Well" page in
general.

thanks,
Rob

* https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/

---

From: Andrew Campling <[email-masked]>
Date: Sun, 5 Sep 2021 18:34:40 +0000

On Sat, Sep 5, 2021 at 05:50 Rob Sayre <[email-masked]<mailto:[email-masked]>> wrote:

> It's a good point. So, by that rationale, it seems safe to strike "This document does not contain legal advice"

I would suggest retaining the text "This document does not contain legal advice" to avoid any misunderstandings.

Andrew

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 6 Sep 2021 09:11:03 +1200

On 06-Sep-21 06:34, Andrew Campling wrote:
> On Sat, Sep 5, 2021 at 05:50 Rob Sayre <[email-masked] <mailto:[email-masked]>> wrote:
> 

I suggest that "This document does not constitute formal legal advice" would be clearer.

After further thought, I've decided I disagree quite strongly with Rob Sayre's suggestion to remove the "should not discuss" bullet points. This is not formal legal advice, but it is a warning to anybody who is unaware of the issues.

I was not at IETF 83, so I checked the minutes of the antitrust BOF at https://www.ietf.org/proceedings/83/minutes/minutes-83-antitrust.txt. They are very concise and do not gave a summary of the discussion points. While it's broadly true that the gap is educational (i.e. I haven't seen any argument that we need to change the IETF's rules and processes because of 
anti-trust or competition law), the education gap is *not* filled by some 
9-year-old slides that as Rob pointed out seem to have got slightly mangled during PDFization.

As far as I can understand the minutes, the proposals that garnered most support in the BOF were "Educational - no consensus needed" + "Current BCPs Sufficient, Need Pointers" (slide 11 in https://www.ietf.org/proceedings/83/slides/slides-83-antitrust-0.pdf). The new draft is essentially education and guidance. The needed pointers are in section 4 "Existing BCPs". The only way this draft departs from the BOF conclusions is that it proposes to seek IETF consensus for this to be a BCP. Since it doesn't actually define any new rules, that's debatable, but harmless IMHO.

Editorial: The draft doesn't use RFC2119 keywords, so Section 2 "Terminology" should be deleted.

Regards
   Brian

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 14:19:52 -0700

On Sun, Sep 5, 2021 at 2:11 PM Brian E Carpenter <
[email-masked]> wrote:

>
> After further thought, I've decided I disagree quite strongly with Rob
> Sayre's suggestion to remove the "should not discuss" bullet points. This
> is not formal legal advice, but it is a warning to anybody who is unaware
> of the issues.
>

We'll have to respectfully disagree here--the issue for me is that the
"warning" is incorrect or misleading in all but the most obvious cases.

> "Terminology" should be deleted.

I think this document is following the guidelines in
https://www.rfc-editor.org/rfc/rfc8174, because it uses the 2119 words in
lowercase in many places. It was new to me too, I had to look it up
yesterday.

thanks,
Rob

---

From: "John Levine" <[email-masked]>
Date: 5 Sep 2021 17:23:30 -0400

It appears that Rob Sayre  <[email-masked]> said:
>-=-=-=-=-=-

Don't be silly.  The world is full of warnings and disclaimers about things
that an ideal reader would already know.  The point of this, which I would have
thought was obvious, is to remind people who might not be very familiar with legal
practice that ths IETF is not their lawyer.

Can you describe the concrete harm that would result from leaving it in?
I don't think the four seconds that someone might spend reading it counts,
since we've already spent more than that arguing about it.

R's,
John

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 14:29:54 -0700

Sorry to pile on, but I just noticed this statement, which
(unintentionally) misrepresents what I wrote:

"I disagree quite strongly with Rob Sayre's suggestion to remove the
"should not discuss" bullet points"

I did not suggest that. I suggested changing the preface of the list to

"As the IETF is a standards development environment where representatives
from competitors are highly likely to be present, participants should be
aware that the following topics may raise antitrust concerns:"

and then deleting the following paragraph containing "it would be
prudent..." because it seems useless.

thanks,
Rob

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 6 Sep 2021 10:46:19 +1200

On 06-Sep-21 09:29, Rob Sayre wrote:
> Sorry to pile on, but I just noticed this statement, which (unintentionally) misrepresents what I wrote:
> 
> "I disagree quite strongly with Rob Sayre's suggestion to remove the "should not discuss" bullet points"
> 
> I did not suggest that. 

Sorry... this thread has got pretty long so it's hard to track details.

   Brian

> I suggested changing the preface of the list to
> 
> "As the IETF is a standards development environment where representatives from competitors are highly likely to be present, participants should be aware that the following topics may raise antitrust concerns:"
> 
> and then deleting the following paragraph containing "it would be prudent..." because it seems useless.
> 
> thanks,
> Rob
> 
> 
> On Sun, Sep 5, 2021 at 2:19 PM Rob Sayre <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     On Sun, Sep 5, 2021 at 2:11 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>     We'll have to respectfully disagree here--the issue for me is that the "warning" is incorrect or misleading in all but the most obvious cases.
>      
> 
>     I think this document is following the guidelines in https://www.rfc-editor.org/rfc/rfc8174 <https://www.rfc-editor.org/rfc/rfc8174>, because it uses the 2119 words in lowercase in many places. It was new to me too, I had to look it up yesterday.
> 
>     thanks,
>     Rob
>

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 16:28:19 -0700

> Sorry... this thread has got pretty long so it's hard to track details.

The thread is only long because very few people have read all of the
relevant documents.

I would also like to point out that, in my experience, phrases like "This
document does not contain legal advice" are only used by incredibly naive
lawyers right before they dispense legal advice. That's why I thought it
should be removed. The text around the fact that the IETF does not provide
legal support seems correct.

thanks,
Rob

---

From: Bob Hinden <[email-masked]>
Date: Sun, 5 Sep 2021 17:21:01 -0700

Hi,

I support going forward with this document.

> On Sep 5, 2021, at 2:11 PM, Brian E Carpenter <[email-masked]> wrote:
> 

I could go either way (that is, with our without “formal” in the sentence), but I do think there should be a sentence like this in the document.

Bob

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 17:29:40 -0700

On Sun, Sep 5, 2021 at 5:21 PM Bob Hinden <[email-masked]> wrote:

> I could go either way (that is, with our without “formal” in the
> sentence), but I do think there should be a sentence like this in the
> document.
>

Bob, what would be the best way to rule out all of the things the phrases
in the document do not constitute?

thanks,
Rob

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 6 Sep 2021 00:51:07 +0000 (UTC)

" - Summaries oversimplify, and grow outdated. 
- Bright line dos/don’ts miss important nuance.
- Mechanical recitals become ‘white noise.’ "

I am very much in agreement with this.

https://datatracker.ietf.org/doc/html/draft-halpern-gendispatch-antitrust-00

says

"   participants should not discuss the following topics:
[..]
*  employee compensation or benefits"

IETF engineers can't discuss employee compensation or benefits?

Frankly, from an engineer perspective, that sounds not so much anti-trust, as anti-union.

Lloyd Wood 
[email-masked]

On Monday, 6 September 2021, 04:10:04 GMT+10, Rob Sayre <[email-masked]> wrote: 

> community agreed advice on how to avoid antitrust issues.  This helps 

Well, I guess the counterpoint is that section "5. Recommended Behavior" suffers from all of the issues outlined in that 2020 IETF LLC statement.* The IETF LLC had the same counsel at the time, btw. 

By refraining from guiding behavior around a 6 point bulleted list, my edits make it clear that such summaries do little to "protect" participants or the IETF. I mean, it seems like I'm the only person that has ever read the existing slides thoroughly enough to notice that they are buggy.

There are plenty of other sections in the draft that seem fine, and I have no objection to the draft appearing linked from the "Note Well" page in general.

thanks,
Rob

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 18:16:32 -0700

> Frankly, from an engineer perspective, that sounds not so much anti-trust,

I do not agree with Lloyd on most things, afaik, but this is a good point.
My much more anodyne text would avoid this concern, fwiw.

thanks,
Rob

---

From: Joel Halpern Direct <[email-masked]>
Date: Sun, 5 Sep 2021 21:30:39 -0400

On the question of whether discussing compensation is an antitrust 
issue, I defer to the lawyers.

Yours,
Joel

On 9/5/2021 9:16 PM, Rob Sayre wrote:
> On Sun, Sep 5, 2021 at 5:51 PM [email-masked] 
> <mailto:[email-masked]> <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
> 
> I do not agree with Lloyd on most things, afaik, but this is a good 
> point. My much more anodyne text would avoid this concern, fwiw.
> 
> thanks,
> Rob
>

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 18:34:52 -0700

> issue, I defer to the lawyers.

That statement doesn't mean much if the lawyers don't write anything, and
it borders on a lie if they don't.

Again, I would suggest going with my text...

thanks,
Rob

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 18:49:06 -0700

So, are "the lawyers" saying that a Cisco employee's draft here is totally
ok to be AD-approved (by someone that works for Ericsson).

Joel, please do not answer, and instead let coauthors "B. Biddle" or "Jay
Daley" respond.

This draft seems like a really bad idea! I agree that it's ok to sketch out
the landscape for people completely new to the issues, but I do not see why
there is reason to cling to the way it's drafted now.

thanks,
Rob

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 6 Sep 2021 15:04:52 +1200

> IETF engineers can't discuss employee compensation or benefits?

What the draft advises is that such matters should not be part of a standardisation discussion. Not being an anti-trust or competition lawyer, I don't know why such a discussion might be a legal exposure, but it would be a very silly thing to discuss in a standardisation context, so I can't see any conceivable objection to the advice.

   Brian

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 6 Sep 2021 13:08:09 +1000

Probably because of things like this:
  https://www.justice.gov/atr/case-document/complaint-0

Cheers,

> On 6 Sep 2021, at 1:04 pm, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Rob Sayre <[email-masked]>
Date: Sun, 5 Sep 2021 20:44:11 -0700

It looks like there are a bunch of other heated responses here.

Joel addressed some things that were incorrect concerning affiliation in my
statements, off-list, and that I appreciate that he didn't try to use those
mistakes to argue in public.

I still think that my descriptive text on this topic is a better way to go.

thanks,
Rob

On Sun, Sep 5, 2021 at 6:49 PM Rob Sayre <[email-masked]> wrote:

> This draft seems like a really bad idea! I agree that it's ok to sketch
> out the landscape for people completely new to the issues, but I do not see
> why there is reason to cling to the way it's drafted now.
>
> thanks,
> Rob
>
>

---

From: "John Levine" <[email-masked]>
Date: 6 Sep 2021 15:12:54 -0400

It appears that Brian E Carpenter  <[email-masked]> said:
>What the draft advises is that such matters should not be part of a standardisation discussion. Not being an anti-trust or competition lawyer, I don't
>know why such a discussion might be a legal exposure, but it would be a very silly thing to discuss in a standardisation context, so I can't see any
>conceivable objection to the advice.

The scenario is that a manager at company A says "we pay our engineers
about $120K", manager at company B says "huh, I guess we won't need to
give ours a raise."

In general it is illegal for competitors to coordinate the way they do
business. Stanrdards development has a carveout because there there
is a widely understood benefit to the public for competing products
to interoperate.  That isn't limited to software; it's why the lightbulbs
you buy at the hardware store fit into the sockets in the desk lamps you
bought at the office supply store.

R's,
John

PS: This still isn't legal advice.

---

From: Jay Daley <[email-masked]>
Date: Tue, 7 Sep 2021 10:05:33 +1200

If I could summarise the issues I’ve heard here:

1.  Rob wants section 5 rephrased from recommending the avoidance of certain discussions, to warning people about certain discussions.  Mark makes a similar suggestion in order to avoid any recommendations being weaponised to prevent legitimate discussions.

2.  Lloyd points out that he would be unable to voluntarily share his compensation and benefits details

3.  Mark points out (I think) that preventing all discussion of compensation and benefits could be akin to imposing a "no poaching of competitors staff" policy for the IETF

4.  S. Moonesamy points out that "dominant position" should be better explained as relating to participants whose employer maybe in a dominant market position.

5.  Rob wants to hear from an actual lawyer (in case there’s any doubt - I am not a lawyer) that the phrase "This document does not contain legal advice" is a meaningful legal phrase, while Brian recommends the alternative "This document does not constitute formal legal advice".

6.  Mark is concerned that dealing with the possible abuse of a dominant position is unnecessary given there have been no cases brought to suggest that regulators are concerned with this

7.  Stephen points out that he would be unable to discuss the FLOSS business model in relation to specific supply chains.

Does that capture it?

Jay

> On 7/09/2021, at 7:12 AM, John Levine <[email-masked]> wrote:
> 

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 7 Sep 2021 11:26:12 +1000

Hi Jay,

> On 7 Sep 2021, at 8:05 am, Jay Daley <[email-masked]> wrote:
> 

Correct, but this could be dealt with in a number of ways. Note that this is entirely an issue of how IETF people might misread (and perhaps misuse) the document's contents (the former already being evidenced in discussion). 

Going a bit further - there are some sorts of things that we need to prohibit in the IETF, because they're very clearly anti-competitive (mostly cartel behaviour) and if the IETF countenances them, the organisation will be legally answerable. Others are behaviours that participants need to be aware might have competition law consequences upon them (or more often, their employer), but aren't things we should outright prohibit, because a court needs to make the judgment, not us. The document would be improved if it distinguished between them.

> 3.  Mark points out (I think) that preventing all discussion of compensation and benefits could be akin to imposing a "no poaching of competitors staff" policy for the IETF

No; I was merely responding to some folks who were expressing skepticism that discussion of compensation and benefits could be an antitrust issue, by pointing out a case where it had been.

> 6.  Mark is concerned that dealing with the possible abuse of a dominant position is unnecessary given there have been no cases brought to suggest that regulators are concerned with this

Not exactly; I very much anticipate it becoming an issue, and regulators are actively discussing it and processing complaints about it. However, regulators aren't courts. What I'm concerned about is our pre-empting the law by prohibiting 'behavior that may be considered abuse of a dominant position' when the definition of that phrase is still very much disputed in the legal world (both in the US and EU, among other places).

For internal purposes, the same resolution as #1 applies; don't make it a prohibition, make it advisory, so we don't have a situation where someone accuses someone in IETF leadership of abusing dominance and the IETF having no practical way to weigh that claim, or (more importantly) authority to do so.  

There is also an external dimension to the considerations here. Standards bodies might have a role to play in curtailing abuse of dominance, and personally I think that the Internet would be a better place if we did. More relevantly, if we don't competition authorities will start to do it for standards-controlled technologies in addition to proprietary ones.

However, if we're going to do that, it needs to be through an established policy that can be applied by the IETF based upon shared technical principles, not a one-line 'don't do it' admonishment.

Cheers,

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 7 Sep 2021 02:35:09 +0100

Hiya,

On 06/09/2021 23:05, Jay Daley wrote:
> 7.  Stephen points out that he would be unable to discuss the FLOSS
> business model in relation to specific supply chains.
> 
> Does that capture it?
Not for me, sorry. My main point was that discussion is
needed, and #7 was one example. I didn't attempt to provide
a review of the entire draft. And I think for "dispatch"
purposes that's all that's needed for now. If/when there's
a venue for discussing the text (this list not being
that venue), I'll engage.

Cheers,
S.

---

From: Jay Daley <[email-masked]>
Date: Tue, 7 Sep 2021 13:55:51 +1200

Great thanks.  Incorporating your comments and Stephen’s, my new list is:

1.  Rob wants section 5 rephrased from recommending the avoidance of certain discussions, to warning people about certain discussions.  Mark makes a similar suggestion but with some items remaining as avoidance recommended and some rephrased to warnings.

2.  Lloyd points out that he would be unable to voluntarily share his compensation and benefits details (this possibly wraps into 1. above)

3.  S. Moonesamy points out that "dominant position" should be better explained as relating to participants whose employer maybe in a dominant market position.

4.  Rob wants to hear from an actual lawyer (in case there’s any doubt - I am not a lawyer) that the phrase "This document does not contain legal advice" is a meaningful legal phrase, while Brian recommends the alternative "This document does not constitute formal legal advice".

Have I got it correct this time?

Jay

> On 7/09/2021, at 1:26 PM, Mark Nottingham <[email-masked]> wrote:
> 
> Hi Jay,
> 

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 7 Sep 2021 11:57:27 +1000

Great. BTW for the dispatch question, I agree that AD-sponsored is the way to go here.

Cheers,

> On 7 Sep 2021, at 11:55 am, Jay Daley <[email-masked]> wrote:
>

---

From: Rob Sayre <[email-masked]>
Date: Mon, 6 Sep 2021 19:01:14 -0700

> Great. BTW for the dispatch question, I agree that AD-sponsored is the way

I think Mark's interpretation makes sense, from my perspective.

Jay, thanks for taking the time to work through these issues.

thanks,
Rob

> > 1.  Rob wants section 5 rephrased from recommending the avoidance of
> certain discussions, to warning people about certain discussions.  Mark
> makes a similar suggestion but with some items remaining as avoidance
> recommended and some rephrased to warnings.
> >
> > 2.  Lloyd points out that he would be unable to voluntarily share his
> compensation and benefits details (this possibly wraps into 1. above)
> >
> > 3.  S. Moonesamy points out that "dominant position" should be better
> explained as relating to participants whose employer maybe in a dominant
> market position.
> >
> > 4.  Rob wants to hear from an actual lawyer (in case there’s any doubt -
> I am not a lawyer) that the phrase "This document does not contain legal
> advice" is a meaningful legal phrase, while Brian recommends the
> alternative "This document does not constitute formal legal advice".
> >
> >>> 1.  Rob wants section 5 rephrased from recommending the avoidance of
> certain discussions, to warning people about certain discussions.  Mark
> makes a similar suggestion in order to avoid any recommendations being
> weaponised to prevent legitimate discussions.
> >>
> >> Correct, but this could be dealt with in a number of ways. Note that
> this is entirely an issue of how IETF people might misread (and perhaps
> misuse) the document's contents (the former already being evidenced in
> discussion).
> >>
> >> Going a bit further - there are some sorts of things that we need to
> prohibit in the IETF, because they're very clearly anti-competitive (mostly
> cartel behaviour) and if the IETF countenances them, the organisation will
> be legally answerable. Others are behaviours that participants need to be
> aware might have competition law consequences upon them (or more often,
> their employer), but aren't things we should outright prohibit, because a
> court needs to make the judgment, not us. The document would be improved if
> it distinguished between them.
> >>
> >>> 3.  Mark points out (I think) that preventing all discussion of
> compensation and benefits could be akin to imposing a "no poaching of
> competitors staff" policy for the IETF
> >>
> >> No; I was merely responding to some folks who were expressing
> skepticism that discussion of compensation and benefits could be an
> antitrust issue, by pointing out a case where it had been.
> >>
> >>> 4.  S. Moonesamy points out that "dominant position" should be better
> explained as relating to participants whose employer maybe in a dominant
> market position.
> >>>
> >>> 5.  Rob wants to hear from an actual lawyer (in case there’s any doubt
> - I am not a lawyer) that the phrase "This document does not contain legal
> advice" is a meaningful legal phrase, while Brian recommends the
> alternative "This document does not constitute formal legal advice".
> >>>
> >>> 6.  Mark is concerned that dealing with the possible abuse of a
> dominant position is unnecessary given there have been no cases brought to
> suggest that regulators are concerned with this
> >>
> >> Not exactly; I very much anticipate it becoming an issue, and
> regulators are actively discussing it and processing complaints about it.
> However, regulators aren't courts. What I'm concerned about is our
> pre-empting the law by prohibiting 'behavior that may be considered abuse
> of a dominant position' when the definition of that phrase is still very
> much disputed in the legal world (both in the US and EU, among other
> places).
> >>
> >> For internal purposes, the same resolution as #1 applies; don't make it
> a prohibition, make it advisory, so we don't have a situation where someone
> accuses someone in IETF leadership of abusing dominance and the IETF having
> no practical way to weigh that claim, or (more importantly) authority to do
> so.
> >>
> >> There is also an external dimension to the considerations here.
> Standards bodies might have a role to play in curtailing abuse of
> dominance, and personally I think that the Internet would be a better place
> if we did. More relevantly, if we don't competition authorities will start
> to do it for standards-controlled technologies in addition to proprietary
> ones.
> >>
> >> However, if we're going to do that, it needs to be through an
> established policy that can be applied by the IETF based upon shared
> technical principles, not a one-line 'don't do it' admonishment.
> >>

---

From: Pete Resnick <[email-masked]>
Date: Tue, 07 Sep 2021 00:38:22 -0500

>  I think Mark's interpretation makes sense, from my perspective.

I have not yet consulted with my co-chair, so I'm not concluding the 
dispatch discussion itself, but I believe I also heard in the discussion 
"AD-sponsored is the way to go, with advice to the AD that discussion of 
some issues is still required, perhaps before Last Call, and therefore a 
forum of discussion should be identified." You should probably speak up 
if I didn't get that right.

pr

-- 
Pete Resnick https://www.episteme.net/
Episteme Technology Consulting LLC
+1 217 337 1905

---

From: Christian Huitema <[email-masked]>
Date: Mon, 6 Sep 2021 23:31:38 -0700

On 9/6/2021 10:38 PM, Pete Resnick wrote:
> dispatch discussion itself, but I believe I also heard in the 
> discussion "AD-sponsored is the way to go, with advice to the AD that 
> discussion of some issues is still required, perhaps before Last Call, 
> and therefore a forum of discussion should be identified." You should 
> probably speak up if I didn't get that right. 

Yes. It is nice to have a document summarizing potential anti-trust 
issues, and this draft is a good basis for it. However, the bullet list 
in section 5 is hastily worded, and could be either misinterpreted or 
used to curtail useful discussions. For example:

* We definitely do not want to see the IETF used by companies as a way 
to coordinate pricing of their products. But we know that in many case, 
the inclusion of some complex features in a standard might make products 
more expensive to product. Suppose an engineer objects that "If we pick 
option B, the product development will last twice longer and the product 
will require twice as much memory and CPU." Is that really a discussion 
we want to prohibit?

* We don't want companies coordinating their product launch strategies, 
which I think is what lies behind the "specific market opportunities" 
product. But then, a big reason for developing standards is precisely 
the need to enable development of new products that serve identified 
needs. Do we really want to prohibit discussion of such topics?

* We definitely do not want companies using the IETF to coordinate their 
compensation policies and establish some kind of employers' cartel. But 
if some participants want to compare their salaries, are we going to try 
prevent that?

I think the current bullet list format is too terse and does not convey 
the necessary nuances.

-- Christian Huitema

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 7 Sep 2021 10:45:00 +0200 (CEST)

> Il 06/09/2021 21:12 John Levine <[email-masked]> ha scritto:
> 

On this, there is one very important aspect that the draft IMHO fails to address, which is any lack of inclusiveness (voluntary or involuntary) in the participants set. 

Standards development is not considered anticompetitive as long as all those whose businesses are impacted by the new standard have a voice in the process or can at least exploit the standard on fair terms. If a group of companies agree to design and adopt a standard that makes it harder for companies outside of that subset to compete with them, then this is potentially (I'd say definitely) an antitrust issue.

I am not a lawyer, so I cannot say, for example, whether the current IETF policies for participation (open door, no fees etc.) are in themselves sufficient to avoid that risk, or whether specific care should be taken to involve all potentially affected industry sectors before finalizing a standard that would impact market and product opportunities. I'd still recommend that the point is addressed in the draft.

-- 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: S Moonesamy <[email-masked]>
Date: Tue, 07 Sep 2021 02:25:56 -0700

Hi Jay,
At 06:55 PM 06-09-2021, Jay Daley wrote:
>3.  S. Moonesamy points out that "dominant position" should be 
>better explained as relating to participants whose employer maybe in 
>a dominant market position.
[snip]

>Have I got it correct this time?

The short answer is Yes.  Christian explained it better.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Tue, 07 Sep 2021 02:44:48 -0700

Hi Stephen,
At 05:56 PM 03-09-2021, Stephen Farrell wrote:
>I'd maybe be fine with AD sponsored after some community discussion, 
>but not with the text as-is.

The do and don't guidance (in the draft) is good enough as a starting 
point.  However, it comes out as overly simplistic [1].

Regards,
S. Moonesamy

1. The IETF Administration LLC stated that "Summaries oversimplify, 
and grow outdated. Bright line dos/don'ts miss important nuance".

Regards,
S. Moonesamy

---

From: Eliot Lear <[email-masked]>
Date: Tue, 7 Sep 2021 11:55:50 +0200

This draft was posted eight days ago.  Some of us require advice on this 
matter outside of this room.  I'd ask that you defer any action until we 
can get that advice.  I don't anticipate that taking long (a week or so?).

Eliot

---

From: Pete Resnick <[email-masked]>
Date: Tue, 07 Sep 2021 13:04:16 -0500

On 7 Sep 2021, at 4:55, Eliot Lear wrote:

> This draft was posted eight days ago.  Some of us require advice on 
> this matter outside of this room.  I'd ask that you defer any action 
> until we can get that advice.  I don't anticipate that taking long (a 
> week or so?).

I'm not sure I understand: You need time for outside advice on the 
dispatch question? I can understand perhaps needing advice on giving 
input to the content of the document, but I'm not clear why you would 
need advice to give input to the dispatch question.

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: Eliot Lear <[email-masked]>
Date: Tue, 7 Sep 2021 20:06:09 +0200

They are related Pete.  The real question is whether this is advice that 
should be given by the IETF.  As I have access to anti-trust experts, I 
thought I would ask one.  I have done, and am awaiting his response.

Eliot

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 8 Sep 2021 10:35:06 +1200

> thought I would ask one.  I have done, and am awaiting his response.

On that question, I've got email back to 2006 suggesting that we need to
do this, as many other SDOs do, and I haven't seen any argument that it's
a mistake. We've just ducked the actual doing (even the education suggested
by the BOF in 2012 hasn't really happened).

Legal advice from yet another source is a fine idea, of course, but we've
asked before, and the legal answer has always been "Yes, do it."

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 8 Sep 2021 10:54:31 +1200

Vittorio,

I think it isn't covered because it's out scope for the guidance that is lacking in the IETF. Here's something I wrote during one of the previous discussions of this topic in 2012:

>>> I think the point is that when drafting RFC 2026 (and later RFC 2418), those
>>> involved (including Jorge's predecessor as pro bono counsel) were very much
>>> aware of anti-trust rules, and it was certainly in their minds that following
>>> the RFC 2026 process would largely avoid anti-trust issues, without the need
>>> to say so explicitly. Indeed BCP 9 describes what we *should* do (focus on
>>> technical aspects, ensure openness and fairness, disclose IPR) but not what
>>> we shouldn't do. Anti-trust advice tends to describe what we shouldn't do.
>>> That's what the FAQ adds.

IANAL, but as I understood it at the time, the fact that the IETF is open to all was adopted partly because of antitrust concerns. The issue is not so much inclusiveness as avoiding exclusiveness. But that's taken care of by the IETF's basic rules. What we are lacking is specific advice to participants about what *not* to do.

(What FAQ, I hear you ask? It was a draft, at http://www.ietf.org/playground/antitrust-faq.html, but it's 404 and the Internet Archive doesn't seem to have a copy of it.)

Regards
    Brian

---

From: Rob Sayre <[email-masked]>
Date: Tue, 7 Sep 2021 15:59:30 -0700

On Tue, Sep 7, 2021 at 3:35 PM Brian E Carpenter <
[email-masked]> wrote:

> a mistake.

Well, at the risk of sounding like a broken record, there is this:
https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/

That post was published just a year ago, and I sincerely doubt it was
published without being reviewed by a lawyer.

That post seems to say that the IETF's existing structures are
sufficient, and this draft does delegate many concerns to existing BCPs. I
understand that competition regulation is a bit more active than it
recently has been, but this activity ebbs and flows, and the IETF has never
needed anything like the recommendations in Section 5 of this draft.

I think the implications of many messages are that "we're skating on thin
ice", a question to be left to the lawyers, for sure. But, I'll note that
it hasn't mattered for many, many years. 15? 20? I think I subscribed in
2005 or so. Maybe the ice isn't that thin. Or, something major has changed,
and no one has explained what that is.

thanks,
Rob

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 8 Sep 2021 11:28:33 +1200

On 08-Sep-21 10:59, Rob Sayre wrote:
> On Tue, Sep 7, 2021 at 3:35 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 

As I think someone else mentioned, the LLC doesn't write the rules or advice about participants' behaviour. Also, "All participants in IETF activities are expected to abide by applicable law" doesn't help anybody who is 
unaware of that law. That's the gap.

> That post was published just a year ago, and I sincerely doubt it was published without being reviewed by a lawyer.

Certainly, to ensure that the LLC *itself* is not at risk.
 
> That post seems to say that the IETF's existing structures are sufficient, and this draft does delegate many concerns to existing BCPs. I understand that competition regulation is a bit more active than it recently has been, but this activity ebbs and flows, and the IETF has never needed anything like the recommendations in Section 5 of this draft.

Not true. I've personally seen legal advice that we *do* need something like this going back 15 years. In a sense the 2012 BOF conclusion that it's an educational issue was correct, but we haven't even done that.
 
> I think the implications of many messages are that "we're skating on thin ice", a question to be left to the lawyers, for sure. But, I'll note that it hasn't mattered for many, many years. 15? 20? I think I subscribed 
in 2005 or so. Maybe the ice isn't that thin. Or, something major has changed, and no one has explained what that is.

Maybe we've been lucky so far?

   Brian

---

From: Rob Sayre <[email-masked]>
Date: Tue, 7 Sep 2021 16:41:29 -0700

On Tue, Sep 7, 2021 at 4:28 PM Brian E Carpenter <
[email-masked]> wrote:

> [email-masked] <mailto:[email-masked]>> wrote:
> >
> > https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/ <
> https://www.ietf.org/blog/ietf-llc-statement-competition-law-issues/>
>
> As I think someone else mentioned, the LLC doesn't write the rules or
> advice about participants' behaviour. Also, "All participants in IETF
> activities are expected to abide by applicable law" doesn't help anybody
> who is

Summarizing "applicable law" in a worldwide context seems like a difficult
task to me, so I agree that the statement is probably not perfect.

But, the draft we're discussing here contains a similar clause: "All IETF
participants must behave lawfully when engaged in IETF activities,
including by following applicable antitrust laws."

> > I think the implications of many messages are that "we're skating on
> thin ice", a question to be left to the lawyers, for sure. But, I'll note
> that it hasn't mattered for many, many years. 15? 20? I think I subscribed
> in 2005 or so. Maybe the ice isn't that thin. Or, something major has
> changed, and no one has explained what that is.
>

I think that's possible--but I've just been asking /why/ that might be.

thanks,
Rob

---

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 7 Sep 2021 20:21:09 -0400

That sounds right to me.

With regard to where to discuss this, while I personally would prefer to 
use gendispatch, if folks want another email list, we presumably could 
revive the old antitrust-policy list (without making it a working group) 
for discussion venue in support of the AD sponsorship.

Yours,
Joel

---

From: "Livingood, Jason" <[email-masked]>
Date: Wed, 8 Sep 2021 13:03:46 +0000

>https:/www.ietf.org/blog/ietf-llc-statement-competition-law-issues

[JL] It definitely was reviewed by counsel.

> I think the implications of many messages are that "we're skating on thin ice", a question to be left to the lawyers, for sure. But, I'll note that it hasn't mattered for many, many years. 15? 20? I think I subscribed in 2005 or so. Maybe the ice isn't that thin. Or, something major has changed, and no one has explained what that is.

[JL] Please see Section 5 of the LLC's 12 August 2021 meeting minutes at https://www.ietf.org/media/documents/2021-08-12-llc-board-minutes.pdf. We had counsel on the call as well for that discussion. My impression is that the external legal environment continues to evolve and that companies that current participate in the IETF may face barriers to continuing to do so in the future, absent a more concrete anti-trust document.

- Jason

---

From: S Moonesamy <[email-masked]>
Date: Wed, 08 Sep 2021 08:21:25 -0700

Hi Jason,
At 06:03 AM 08-09-2021, Livingood, Jason wrote:
>[JL] Please see Section 5 of the LLC's 12 August 2021 meeting 
>minutes at 
>https://www.ietf.org/media/documents/2021-08-12-llc-board-minutes.pdf. 
>We had counsel on the call as well for that discussion. My 
>impression is that the external legal environment continues to 
>evolve and that companies that current participate in the IETF may 
>face barriers to continuing to do so in the future, absent a more 
>concrete anti-trust document.

Thank you for providing some context.

Regards,
S. Moonesamy

---

From: Rob Sayre <[email-masked]>
Date: Wed, 8 Sep 2021 08:52:22 -0700

On Wed, Sep 8, 2021 at 6:04 AM Livingood, Jason <[email-masked]>
wrote:

>
> [JL] Please see Section 5 of the LLC's 12 August 2021 meeting minutes at

Well, that just says this document is needed due to "growing concern in the
community". Fine. I don't think it's needed (and I seem to be one of the
only people that reads any of these documents), but most of what's in it is
true. Those minutes also make it clear that the document is meant for the
"Note Well" page.

I agree with Mark that the way the "Recommended Behaviors" section is
currently phrased will be misused, and additionally think that some of the
recommendations might be incorrect in some important contexts. The list is
too terse to guide behavior, but it will be difficult to get more specific,
so my suggested edits are an improvement.

thanks,
Rob

---

From: Eliot Lear <[email-masked]>
Date: Sat, 11 Sep 2021 13:26:26 +0200

Hi Pete,

To follow up on this, I support this work being dispatched, either to an 
AD-sponsored draft or to a WG.

Eliot